package com.qmth.teachcloud.mark.service.impl;

import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import com.qmth.teachcloud.mark.entity.ScanPaperTypeCheck;
import com.qmth.teachcloud.mark.enums.OmrTaskStatus;
import com.qmth.teachcloud.mark.mapper.ScanPaperTypeCheckMapper;
import com.qmth.teachcloud.mark.service.ScanPaperTypeCheckService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 卷型检查记录表 服务实现类
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-10-12
 */
@Service
public class ScanPaperTypeCheckServiceImpl extends ServiceImpl<ScanPaperTypeCheckMapper, ScanPaperTypeCheck> implements ScanPaperTypeCheckService {

    @Override
    public int getPaperTypeCheckCount(Long examId, Long courseId, String coursePaperId, OmrTaskStatus status,
            DataPermissionRule dpr) {
        return baseMapper.getPaperTypeCheckCount(examId, courseId, coursePaperId, status, dpr);
    }
}
